From 72160c42bea2073bf95c01aca59a12f0ca7ab707 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Tue, 29 Dec 2015 17:03:43 -0800
Subject: [PATCH 1/3] launchd: Install binaries into libexecdir

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 launchd/privileged_startx/Makefile.am                 | 6 +++---
 launchd/privileged_startx/privileged_startx.plist.cpp | 2 +-
 launchd/user_startx/Makefile.am                       | 5 ++---
 launchd/user_startx/startx.plist.cpp                  | 2 +-
 startx.cpp                                            | 4 ++--
 5 files changed, 9 insertions(+), 10 deletions(-)

diff --git a/launchd/privileged_startx/Makefile.am b/launchd/privileged_startx/Makefile.am
index 811cbdb..a6ed492 100644
--- a/launchd/privileged_startx/Makefile.am
+++ b/launchd/privileged_startx/Makefile.am
@@ -27,14 +27,14 @@
 
 include $(top_srcdir)/cpprules.in
 
-xinitrcdir = $(libdir)/X11/xinit
+xinitrcdir = $(XINITDIR)
 privstartxdir = $(xinitrcdir)/privileged_startx.d
 
-xinitrc_PROGRAMS = privileged_startx
+libexec_PROGRAMS = privileged_startx
 privstartx_SCRIPTS = 10-tmpdirs 20-font_cache
 
 AM_CPPFLAGS = -I$(srcdir)/.. -DXINITDIR=\"$(xinitrcdir)\" -DSCRIPTDIR=\"$(privstartxdir)\" -DBINDIR=\"$(bindir)\"
-CPP_FILES_FLAGS = -DXINITDIR="$(xinitrcdir)" -DSCRIPTDIR="$(privstartxdir)" -DBINDIR="$(bindir)" -DBUNDLE_ID_PREFIX="$(bundleidprefix)"
+CPP_FILES_FLAGS = -D__libexecdir__="$(libexecdir)" -DXINITDIR="$(xinitrcdir)" -DSCRIPTDIR="$(privstartxdir)" -DBINDIR="$(bindir)" -DBUNDLE_ID_PREFIX="$(bundleidprefix)"
 
 if TIGER_LAUNCHD
 CPP_FILES_FLAGS += -DTIGER_LAUNCHD
diff --git a/launchd/privileged_startx/privileged_startx.plist.cpp b/launchd/privileged_startx/privileged_startx.plist.cpp
index e23e892..e1652b0 100644
--- a/launchd/privileged_startx/privileged_startx.plist.cpp
+++ b/launchd/privileged_startx/privileged_startx.plist.cpp
@@ -6,7 +6,7 @@
 		<string>BUNDLE_ID_PREFIX.privileged_startx</string>
 	<key>ProgramArguments</key>
 		<array>
-			<string>XINITDIR/privileged_startx</string>
+			<string>__libexecdir__/privileged_startx</string>
 			<string>-d</string>
 			<string>SCRIPTDIR</string>
 		</array>
diff --git a/launchd/user_startx/Makefile.am b/launchd/user_startx/Makefile.am
index bf18fb0..e895ee2 100644
--- a/launchd/user_startx/Makefile.am
+++ b/launchd/user_startx/Makefile.am
@@ -21,9 +21,7 @@
 
 include $(top_srcdir)/cpprules.in
 
-xinitrcdir = $(XINITDIR)
-
-xinitrc_PROGRAMS = launchd_startx
+libexec_PROGRAMS = launchd_startx
 
 AM_CPPFLAGS = -I$(srcdir)/.. -DXINITDIR=\"$(xinitrcdir)\" -DBINDIR=\"$(bindir)\"
 
@@ -32,6 +30,7 @@ dist_launchd_startx_SOURCES = \
 	launchd_startx.c
 
 CPP_FILES_FLAGS = \
+	-D__libexecdir__="$(libexecdir)" \
 	-D__xinitrcdir__="$(xinitrcdir)" \
 	-D__bindir__="$(bindir)" \
 	-DBUNDLE_ID_PREFIX="$(bundleidprefix)"
diff --git a/launchd/user_startx/startx.plist.cpp b/launchd/user_startx/startx.plist.cpp
index a43025f..f79d461 100644
--- a/launchd/user_startx/startx.plist.cpp
+++ b/launchd/user_startx/startx.plist.cpp
@@ -6,7 +6,7 @@
 		<string>BUNDLE_ID_PREFIX.startx</string>
 	<key>ProgramArguments</key>
 		<array>
-			<string>__xinitrcdir__/launchd_startx</string>
+			<string>__libexecdir__/launchd_startx</string>
 			<string>__bindir__/startx</string>
 #ifdef LAUNCHAGENT_XSERVER_PATH
 			<string>--</string>
diff --git a/startx.cpp b/startx.cpp
index 2a10283..2dda9e1 100644
--- a/startx.cpp
+++ b/startx.cpp
@@ -91,10 +91,10 @@ if [ x`defaults read $X11_PREFS_DOMAIN cache_fonts` = x1 ] ; then
     fi
 fi
 
-if [ -x XINITDIR/privileged_startx ] ; then
+if [ -x __libexecdir__/privileged_startx ] ; then
 	# Don't push this into the background becasue it can cause
 	# a race to create /tmp/.X11-unix
-	XINITDIR/privileged_startx
+	__libexecdir__/privileged_startx
 fi
 
 if [ x`defaults read $X11_PREFS_DOMAIN no_auth` = x0 ] ; then
-- 
2.8.3

